Bug 1140671 - [RFE] API Missing creation of smart proxy autosign entries
Summary: [RFE] API Missing creation of smart proxy autosign entries
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: API
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: Ondřej Pražák
QA Contact: Katello QA List
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On:
Blocks: 1122832 1296845
TreeView+ depends on / blocked
 
Reported: 2014-09-11 13:19 UTC by Peter Vreman
Modified: 2021-03-11 14:15 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 12:28:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 7495 0 Low Closed Support for adding autosign entries via API 2021-02-08 10:27:54 UTC
Red Hat Product Errata RHSA-2018:0336 0 normal SHIPPED_LIVE Important: Satellite 6.3 security, bug fix, and enhancement update 2018-02-21 22:43:42 UTC

Description Peter Vreman 2014-09-11 13:19:03 UTC
Description of problem:
The API has support to list autosign entries  (GET /api/v2/smart_proxies/:id/autosign), but lacks support to create and update existing entries.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
Be able to use the API to create and update autosign entries.


Additional info:

Comment 1 Peter Vreman 2014-09-11 13:19:56 UTC
Also the support to create and update autosign entries using the hammer CLI is missing.

Comment 2 RHEL Program Management 2014-09-11 13:33:10 UTC
Since this issue was entered in Red Hat Bugzilla, the release flag has been
set to ? to ensure that it is properly evaluated for this release.

Comment 4 Dominic Cleal 2014-09-15 14:55:10 UTC
Connecting redmine issue http://projects.theforeman.org/issues/4986 from this bug

Comment 8 Bryan Kearney 2016-08-04 20:16:10 UTC
Moving 6.2 bugs out to sat-backlog.

Comment 9 Rich Jerrido 2016-12-06 13:33:49 UTC
having the ability to create autosign entries via the API would greatly simplify the process of running bootstrap.py on existing hosts. Today we make the user either

- setup autosigning in autosign.conf
- approve the client manually in the UI. 

I would prefer to not have to do either.

Comment 10 pm-sat@redhat.com 2017-02-16 09:19:05 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 11 pm-sat@redhat.com 2017-02-17 15:19:23 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/7495 has been resolved.

Comment 12 Daniel Lobato Garcia 2017-08-09 13:23:23 UTC
Verified.

Tested on:


satellite-6.3.0-16.0.beta.el7sat.noarch
foreman-1.15.2-1.el7sat.noarch


As per the API doc shows, these are the endpoints available for this action now:

"autosign": {

    "List all autosign entries": "/api/smart_proxies/smart_proxy_id/autosign",
    "Create autosign entry": "/api/smart_proxies/:smart_proxy_id/autosign",
    "Delete autosign entry": "/api/smart_proxies/:smart_proxy_id/autosign/:id"

},

Comment 15 errata-xmlrpc 2018-02-21 12:28:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.